/* CSS Document */
.btn-container {
  width: 100%;
  height: 100%;
  display: flex;

  background: var(--bg); }

.btn-buy {
  --width: 250px;
  --height: 60px;
  border: 0;
  position: relative;
  min-width: var(--width);
  min-height: var(--height);
  border-radius: var(--height);
  color: #fff;
  font-family: 'Poppins', sans-serif;
  font-weight: 400;
  background: rgba(0, 0, 0, 0.3);
  cursor: pointer;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 1rem; }
  .btn-buy .text,
  .btn-buy .icon-container {
    position: relative;
    z-index: 2; }
  .btn-buy .icon-container {
    --icon-size: 25px;
    position: relative;
    width: var(--icon-size);
    height: var(--icon-size);
    margin-left: 15px;
    transition: transform 500ms ease; }
    .btn-buy .icon-container .icon {
      position: absolute;
      left: 0;
      top: 0;
      width: var(--icon-size);
      height: var(--icon-size);
      transition: transform 500ms ease, opacity 250ms ease; }
      .btn-buy .icon-container .icon--left {
        transform: translateX(-200%);
        opacity: 0; }
      .btn-buy .icon-container .icon svg {
        width: 100%;
        height: 100%;
        fill: #fff; }
  .btn-buy::after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    background: -webkit-linear-gradient(60deg, #4A00E0, #8E2DE2);
    border-radius: var(--height);
    z-index: 1;
    transition: transform 500ms ease; }
  .btn-buy:hover::after {
    transform: translateX(65%); }
  .btn-buy:hover .icon-container {
    transform: translateX(125%); }
    .btn-buy:hover .icon-container .icon--left {
      transform: translateX(0);
      opacity: 1; }
    .btn-buy:hover .icon-container .icon--right {
      transform: translateX(200%);
      opacity: 0; }

.btn-buy2 {
  --width: 300px;
  --height: 60px;
  border: 0;
  position: relative;
  min-width: var(--width);
  min-height: var(--height);
  border-radius: var(--height);
  color: #8E2DE2;
  font-family: 'Poppins', sans-serif;
  font-weight: 400;
  background: white;
  cursor: pointer;
  overflow: hidden;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 1rem; }
  .btn-buy2 .text,
  .btn-buy2 .icon-container {
    position: relative;
    z-index: 2; }
  .btn-buy2 .icon-container {
    --icon-size: 25px;
    position: relative;
    width: var(--icon-size);
    height: var(--icon-size);
    margin-left: 15px;
    transition: transform 500ms ease; }
    .btn-buy2 .icon-container .icon {
      position: absolute;
      left: 0;
      top: 0;
      width: var(--icon-size);
      height: var(--icon-size);
      transition: transform 500ms ease, opacity 250ms ease; }
      .btn-buy2 .icon-container .icon--left {
        transform: translateX(-200%);
        opacity: 0; }
      .btn-buy2 .icon-container .icon svg {
        width: 100%;
        height: 100%;
        fill: #8E2DE2; }
  .btn-buy2::after {
    content: "";
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
	  color: #8E2DE2;
    border: 2px solid #8E2DE2;
    background: white;
    border-radius: var(--height);
    z-index: 1;
    transition: transform 500ms ease; }
  .btn-buy2:hover::after {
    transform: translateX(70%); }
  .btn-buy2:hover .icon-container {
    transform: translateX(125%); }
    .btn-buy2:hover .icon-container .icon--left {
      transform: translateX(0);
      opacity: 1; }
    .btn-buy2:hover .icon-container .icon--right {
      transform: translateX(200%);
      opacity: 0; }

.support {
  position: absolute;
  right: 10px;
  bottom: 10px;
  padding: 10px;
  display: flex; }
  .support a {
    margin: 0 10px;
    color: #fff;
    font-size: 1.8rem;
    backface-visibility: hidden;
    transition: all 150ms ease; }
    .support a:hover {
      transform: scale(1.1); }

@media (max-width: 960px) {
  .btn-container {
    display: grid; }

  .btn-container button {
    margin-bottom: 1rem; } }
